
#ifdef TUSB16AD_EXPORTS
#define TUSB16AD_API __declspec(dllexport) __stdcall
#else
#define TUSB16AD_API __declspec(dllimport) __stdcall
#endif

#ifdef __cplusplus
extern "C"{
#endif

void TUSB16AD_API TUSB0216AD_Load(void);
void TUSB16AD_API TUSB0216AD_Unload(void);
short TUSB16AD_API TUSB0216AD_Chk(short Id);
short TUSB16AD_API TUSB0216AD_DIO_In(short Id,BYTE *Data);
short TUSB16AD_API TUSB0216AD_DIO_Out(short Id,BYTE Data);
short TUSB16AD_API TUSB0216AD_DIO_Chk(short Id,BYTE *Data);
short TUSB16AD_API TUSB0216AD_Ad_Single(short Id, int *Data);
short TUSB16AD_API TUSB0216AD_Start(short Id,BYTE Ch,int PreLen, BYTE TrgType, BYTE TrgCh);
short TUSB16AD_API TUSB0216AD_Stop(short Id);
short TUSB16AD_API TUSB0216AD_Ad_Status( short Id,BYTE *Status,BYTE *OverFlow,DWORD *DataLen);
short TUSB16AD_API TUSB0216AD_Ad_Data( short Id,BYTE Ch,int *Data,DWORD *DataLen);
short TUSB16AD_API TUSB0216AD_AdClk_Set( short Id,int ClkTime,BYTE Sel);
short TUSB16AD_API TUSB0216AD_Level_Set( short Id, int Level, short Hys);
short TUSB16AD_API TUSB0216AD_Input_Set( short Id, BYTE Type1, BYTE Type2 );
short TUSB16AD_API TUSB0216AD_Trigger( short Id );
short TUSB16AD_API TUSB0216AD_Input_Check( short Id, BYTE *Type1, BYTE *Type2 );

#ifdef __cplusplus
}
#endif

