Attribute VB_Name = "TUSB16AD"
'-----------------------------------------------
'API for TUSB-0216AD Driver
'Visual Basic 6 Module
'
'Feb. 19 2008
'Copyright (C) 2008 Turtle Industry Co.,Ltd.
'-----------------------------------------------

'API Function declaration


Declare Function TUSB0216AD_DIO_In Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByRef Data As Byte) As Integer
Declare Function TUSB0216AD_DIO_Out Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal Data As Byte) As Integer
Declare Function TUSB0216AD_DIO_Chk Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByRef Data As Byte) As Integer
Declare Function TUSB0216AD_Ad_Single Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByRef Data As Long) As Integer
Declare Function TUSB0216AD_Start Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal Ch As Byte, ByVal PreLen As Long, ByVal TrgType As Byte, ByVal TrgCh As Byte) As Integer
Declare Function TUSB0216AD_Stop Lib "TUSB16AD.DLL" (ByVal Id As Integer) As Integer
Declare Function TUSB0216AD_Ad_Status Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByRef Status As Byte, ByRef OverFlow As Byte, ByRef DataLen As Long) As Integer
Declare Function TUSB0216AD_Ad_Data Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal Ch As Byte, ByRef Data As Long, ByRef DataLen As Long) As Integer
Declare Function TUSB0216AD_AdClk_Set Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal ClkTime As Long, ByVal Sel As Byte) As Integer
Declare Function TUSB0216AD_Level_Set Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal Level As Long, ByVal Hys As Integer) As Integer
Declare Function TUSB0216AD_Input_Set Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByVal Type1 As Byte, ByVal Type2 As Byte) As Integer
Declare Function TUSB0216AD_Trigger Lib "TUSB16AD.DLL" (ByVal Id As Integer) As Integer
Declare Function TUSB0216AD_Input_Check Lib "TUSB16AD.DLL" (ByVal Id As Integer, ByRef Type1 As Byte, ByRef Type2 As Byte) As Integer
Declare Function TUSB0216AD_Chk Lib "TUSB16AD.DLL" (ByVal Id As Integer) As Integer
Declare Sub TUSB0216AD_Load Lib "TUSB16AD.DLL" ()
Declare Sub TUSB0216AD_Unload Lib "TUSB16AD.DLL" ()

' Error Message
Public Function TUSB0216AD_ErrorDisp(ByVal ErrCode As Integer)
    Dim str As String
    
    Select Case ErrCode
    Case 0
        str = "ɏI܂"
    Case 2
        str = "hCoĂ܂"
    Case 6
        str = "foCX܂ł"
    Case 8
        str = "p[^G["
    Case 9
        str = "USBʐMG["
    Case 11
        str = "A荞ݓ쒆ł"
    Case Default
        str = "sȃG[ł"
    End Select
    
    MsgBox (str)
End Function


