// DevForm.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "0216ADMSample.h"
#include "DevForm.h"
#include "TUSB16AD.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define TIMER1	1//Ď^C}[
#define TIMER2	2//ADϊL^^C}[

/////////////////////////////////////////////////////////////////////////////
// CDevForm _CAO


CDevForm::CDevForm(CWnd* pParent /*=NULL*/)
	: CDialog(CDevForm::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDevForm)
	m_ChChk2 = FALSE;
	m_RangeSel1 = -1;
	m_RangeSel2 = -1;
	m_TriggerTypeSel = -1;
	m_TriggerLevel = 0;
	m_TriggerCh = -1;
	m_ClkSel = -1;
	m_ClockInterval = 0;
	m_PreTriggerLeng = 0;
	m_LimitLeng = 0;
	m_StatusView = _T("");
	m_DO0 = FALSE;
	m_DO1 = FALSE;
	m_DO2 = FALSE;
	m_DO3 = FALSE;
	m_DO4 = FALSE;
	m_DO5 = FALSE;
	m_ChChk1 = FALSE;
	//}}AFX_DATA_INIT
}


void CDevForm::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDevForm)
	DDX_Control(pDX, IDC_DI5, m_DI5_Cntl);
	DDX_Control(pDX, IDC_DI4, m_DI4_Cntl);
	DDX_Control(pDX, IDC_DI3, m_DI3_Cntl);
	DDX_Control(pDX, IDC_DI2, m_DI2_Cntl);
	DDX_Control(pDX, IDC_DI1, m_DI1_Cntl);
	DDX_Control(pDX, IDC_DI0, m_DI0_Cntl);
	DDX_Control(pDX, IDC_TRIGGER_CH, m_TriggerCh_Cntl);
	DDX_Control(pDX, IDC_TRIGGER_LEVEL, m_TriggerLevel_Cntl);
	DDX_Control(pDX, IDC_START_BTN, m_StartBtn_Cntl);
	DDX_Control(pDX, IDC_TRIGGER_BTN, m_TriggerBtn_Cntl);
	DDX_Control(pDX, IDC_STOP_BTN, m_StopBtn_Cntl);
	DDX_Control(pDX, IDC_LIMIT_LENG, m_LimitLeng_Cntl);
	DDX_Control(pDX, IDC_PRE_TRIGGER_LEN, m_PreTriggerLeng_Cntl);
	DDX_Control(pDX, IDC_CLK_SEL1, m_ClkSel_Cntl);
	DDX_Control(pDX, IDC_TRIGGER_TYPE_SEL, m_TriggerTypeSel_Cntl);
	DDX_Control(pDX, IDC_CHCHK2, m_ChChk2_Cntl);
	DDX_Control(pDX, IDC_CHCHK1, m_ChChk1_Cntl);
	DDX_Control(pDX, IDC_RANGE_SEL2, m_RangeSel2_Cntl);
	DDX_Control(pDX, IDC_RANGE_SEL1, m_RangeSel1_Cntl);
	DDX_Control(pDX, IDC_CLOCK_INTERVAL, m_ClockInterval_Cntl);
	DDX_Check(pDX, IDC_CHCHK2, m_ChChk2);
	DDX_CBIndex(pDX, IDC_RANGE_SEL1, m_RangeSel1);
	DDX_CBIndex(pDX, IDC_RANGE_SEL2, m_RangeSel2);
	DDX_CBIndex(pDX, IDC_TRIGGER_TYPE_SEL, m_TriggerTypeSel);
	DDX_Text(pDX, IDC_TRIGGER_LEVEL, m_TriggerLevel);
	DDV_MinMaxUInt(pDX, m_TriggerLevel, 1, 65534);
	DDX_CBIndex(pDX, IDC_TRIGGER_CH, m_TriggerCh);
	DDX_Radio(pDX, IDC_CLK_SEL1, m_ClkSel);
	DDX_Text(pDX, IDC_CLOCK_INTERVAL, m_ClockInterval);
	DDV_MinMaxUInt(pDX, m_ClockInterval, 500, 2147483647);
	DDX_Text(pDX, IDC_PRE_TRIGGER_LEN, m_PreTriggerLeng);
	DDV_MinMaxUInt(pDX, m_PreTriggerLeng, 0, 262144);
	DDX_Text(pDX, IDC_LIMIT_LENG, m_LimitLeng);
	DDV_MinMaxUInt(pDX, m_LimitLeng, 1, 100000000);
	DDX_Text(pDX, IDC_STATUS_VIEW, m_StatusView);
	DDX_Check(pDX, IDC_DO0, m_DO0);
	DDX_Check(pDX, IDC_DO1, m_DO1);
	DDX_Check(pDX, IDC_DO2, m_DO2);
	DDX_Check(pDX, IDC_DO3, m_DO3);
	DDX_Check(pDX, IDC_DO4, m_DO4);
	DDX_Check(pDX, IDC_DO5, m_DO5);
	DDX_Check(pDX, IDC_CHCHK1, m_ChChk1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDevForm, CDialog)
	//{{AFX_MSG_MAP(CDevForm)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_DO0, OnDo0)
	ON_BN_CLICKED(IDC_DO1, OnDo1)
	ON_BN_CLICKED(IDC_DO2, OnDo2)
	ON_BN_CLICKED(IDC_DO3, OnDo3)
	ON_BN_CLICKED(IDC_DO4, OnDo4)
	ON_BN_CLICKED(IDC_DO5, OnDo5)
	ON_BN_CLICKED(IDC_CLK_SEL1, OnClkSel1)
	ON_BN_CLICKED(IDC_CLK_SEL2, OnClkSel2)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_START_BTN, OnStartBtn)
	ON_BN_CLICKED(IDC_STOP_BTN, OnStopBtn)
	ON_BN_CLICKED(IDC_TRIGGER_BTN, OnTriggerBtn)
	ON_CBN_SELCHANGE(IDC_TRIGGER_TYPE_SEL, OnSelchangeTriggerTypeSel)
	ON_CBN_SELCHANGE(IDC_RANGE_SEL1, OnSelchangeRangeSel1)
	ON_CBN_SELCHANGE(IDC_RANGE_SEL2, OnSelchangeRangeSel2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDevForm bZ[W nh

// pl̏
void CDevForm::SetId(short Id)
{
	short retErr;
	char str[30];

	DevId = Id;

	SamplingBuffer1 = 0;
	SamplingBuffer2 = 0;

	sprintf(str,"ID = %d  Panel",DevId);//EBhD^Cg\
	SendMessage(WM_SETTEXT,0,(LPARAM)str);

	retErr = TUSB0216AD_DIO_Chk(DevId, &OutStatus );//fBW^IOo͏Ԃ̊mF
	if( retErr != 0 )
	{
		m_EtcFunc.ErrorDisp(NULL,retErr);
		ShowWindow(SW_HIDE);
	}
	else
	{
		m_DO0 = ( OutStatus & 0x01 );
		m_DO1 = ( OutStatus & 0x02 );
		m_DO2 = ( OutStatus & 0x04 );
		m_DO3 = ( OutStatus & 0x08 );
		m_DO4 = ( OutStatus & 0x10 );
		m_DO5 = ( OutStatus & 0x20 );
	}

	//oϐ
	m_RangeSel1 = 0;
	m_RangeSel2 = 0;
	m_TriggerTypeSel = 0;
	m_TriggerCh = 0;
	m_TriggerLevel = 32768;	//gKx𒆊Ԓl
	m_ClkSel = 0;			//NbNL
	m_ClockInterval = 500;	//NbN1kHz
	m_PreTriggerLeng = 0;	//vgK0
	m_LimitLeng = 1000000;	//荞ݐ1000000

	UpdateData(FALSE);

	EnableDisableControl(1);//eRg[̃Cl[uAfBZ[uݒ

	//KvȃRg[̎s
	OnSelchangeTriggerTypeSel();
	OnSelchangeRangeSel1();
	OnSelchangeRangeSel2();

	SetTimer(TIMER1,100,NULL);//Ďp^C}[̋N
}

//^C}[
void CDevForm::OnTimer(UINT nIDEvent) 
{
	switch( nIDEvent )
	{
	case TIMER1://Ď^C}[
		if( TUSB0216AD_Chk(DevId) != 0 )//ڑ`FbN
		{
			ShowWindow(SW_HIDE);
			KillTimer(TIMER1);
		}
		else
		{
			DIO_Check();//fBW^͏ԊmF
		}
		break;
	case TIMER2://ADϊL^^C}[
		ExecTimer2();
		break;
	}
	CDialog::OnTimer(nIDEvent);
}

//fBW^͏ԊmF
void CDevForm::DIO_Check()
{
	BYTE data;
	short retErr;

	retErr = TUSB0216AD_DIO_In(DevId, &data);//fBW^IOǂݍ

	if( retErr != 0 )
	{
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}
	else
	{
		m_DI0_Cntl.SetWindowText((data & 0x01) ? "H" : "L");
		m_DI1_Cntl.SetWindowText((data & 0x02) ? "H" : "L");
		m_DI2_Cntl.SetWindowText((data & 0x04) ? "H" : "L");
		m_DI3_Cntl.SetWindowText((data & 0x08) ? "H" : "L");
		m_DI4_Cntl.SetWindowText((data & 0x10) ? "H" : "L");
		m_DI5_Cntl.SetWindowText((data & 0x20) ? "H" : "L");
	}
}

//fBW^o̓{^0
void CDevForm::OnDo0() 
{
	UpdateData(TRUE);
	if( m_DO0 )
		OutStatus |= 0x01;
	else
		OutStatus &= ~0x01;
	D_Out();
}

//fBW^o̓{^1
void CDevForm::OnDo1() 
{
	UpdateData(TRUE);
	if( m_DO1 )
		OutStatus |= 0x02;
	else
		OutStatus &= ~0x02;
	D_Out();	
}

//fBW^o̓{^2
void CDevForm::OnDo2() 
{
	UpdateData(TRUE);
	if( m_DO2 )
		OutStatus |= 0x04;
	else
		OutStatus &= ~0x04;
	D_Out();
}

//fBW^o̓{^3
void CDevForm::OnDo3() 
{
	UpdateData(TRUE);
	if( m_DO3 )
		OutStatus |= 0x08;
	else
		OutStatus &= ~0x08;
	D_Out();
}

//fBW^o̓{^4
void CDevForm::OnDo4() 
{
	UpdateData(TRUE);
	if( m_DO4 )
		OutStatus |= 0x10;
	else
		OutStatus &= ~0x10;
	D_Out();
}

//fBW^o̓{^5
void CDevForm::OnDo5() 
{
	UpdateData(TRUE);
	if( m_DO5 )
		OutStatus |= 0x20;
	else
		OutStatus &= ~0x20;
	D_Out();
}

//fBW^o͐ݒ菈
void CDevForm::D_Out()
{
	short retErr;

	retErr = TUSB0216AD_DIO_Out(DevId, OutStatus);

	if( retErr != 0 )
	{
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}
}

//NbNI
void CDevForm::OnClkSel1() 
{
	m_ClockInterval_Cntl.EnableWindow(TRUE);//NbN͂Lɂ	
}

//ONbNI
void CDevForm::OnClkSel2() 
{
	m_ClockInterval_Cntl.EnableWindow(FALSE);//NbN͂𖳌ɂ	
}

//eRg[̃Cl[uAfBZ[u؂ւ
void CDevForm::EnableDisableControl(int Sel)
{
	switch(Sel)
	{
	case 1://ҋ@
		m_RangeSel1_Cntl.EnableWindow(TRUE);
		m_ChChk1_Cntl.EnableWindow(TRUE);
		OnSelchangeRangeSel1();
		m_RangeSel2_Cntl.EnableWindow(TRUE);
		m_ChChk2_Cntl.EnableWindow(TRUE);
		OnSelchangeRangeSel2();
		m_TriggerTypeSel_Cntl.EnableWindow(TRUE);
		m_ClkSel_Cntl.EnableWindow(TRUE);
		m_ClockInterval_Cntl.EnableWindow(TRUE);
		m_PreTriggerLeng_Cntl.EnableWindow(TRUE);
		m_LimitLeng_Cntl.EnableWindow(TRUE);
		m_StartBtn_Cntl.EnableWindow(TRUE);
		m_StopBtn_Cntl.EnableWindow(FALSE);
		m_TriggerBtn_Cntl.EnableWindow(FALSE);
		OnClkSel1();
		OnSelchangeTriggerTypeSel();
		break;
	case 2://TvO
		m_RangeSel1_Cntl.EnableWindow(FALSE);
		m_ChChk1_Cntl.EnableWindow(FALSE);
		m_RangeSel2_Cntl.EnableWindow(FALSE);
		m_ChChk2_Cntl.EnableWindow(FALSE);
		m_TriggerTypeSel_Cntl.EnableWindow(FALSE);
		m_ClkSel_Cntl.EnableWindow(FALSE);
		m_ClockInterval_Cntl.EnableWindow(FALSE);
		m_PreTriggerLeng_Cntl.EnableWindow(FALSE);
		m_LimitLeng_Cntl.EnableWindow(FALSE);
		m_StartBtn_Cntl.EnableWindow(FALSE);
		m_StopBtn_Cntl.EnableWindow(TRUE);
		m_TriggerBtn_Cntl.EnableWindow(TRUE);
		break;
	}
}

//̓WݒύX̏
void CDevForm::ChangeRangeSel()
{
	short retErr;
	UpdateData(TRUE);
	if( m_RangeSel1_Cntl.IsWindowEnabled() && m_RangeSel2_Cntl.IsWindowEnabled() )
	{
		retErr = TUSB0216AD_Input_Set(DevId,m_RangeSel1,m_RangeSel2);
		if( retErr != 0 )
		{
			m_EtcFunc.ErrorDisp(NULL,retErr);
			KillTimer(TIMER1);
			ShowWindow(SW_HIDE);
		}
	}
}

//Ch1̓WύXꂽ
void CDevForm::OnSelchangeRangeSel1() 
{
	ChangeRangeSel();
}

//Ch2̓WύXꂽ
void CDevForm::OnSelchangeRangeSel2() 
{
	ChangeRangeSel();
}

//gK̎ނύXꂽ
void CDevForm::OnSelchangeTriggerTypeSel() 
{
	UpdateData(TRUE);
	switch( m_TriggerTypeSel )
	{
	case 0://\tggK
		m_TriggerBtn_Cntl.ShowWindow(SW_SHOW);
		m_TriggerLevel_Cntl.EnableWindow(FALSE);
		m_TriggerCh_Cntl.EnableWindow(FALSE);
		break;
	case 1://OfBW^gK
		m_TriggerBtn_Cntl.ShowWindow(SW_HIDE);
		m_TriggerLevel_Cntl.EnableWindow(FALSE);
		m_TriggerCh_Cntl.EnableWindow(FALSE);
		break;
	default://AiOgK
		m_TriggerBtn_Cntl.ShowWindow(SW_HIDE);
		m_TriggerLevel_Cntl.EnableWindow(TRUE);
		m_TriggerCh_Cntl.EnableWindow(TRUE);
		break;
	}	
}

void CDevForm::OnClose() 
{
//ʂ鎞̏
	if( m_StopBtn_Cntl.IsWindowEnabled() )//Stop{^Lȏꍇ(A荞ݓ쒆)
	{
		KillTimer(TIMER2);//^C}[~
		StopReq = TRUE;//~v
		OnTimer(TIMER2);//^C}[(Î߂̏)
	}
	KillTimer(TIMER1);//Ď^C}[~

	if( SamplingBuffer1 )//obt@̈悪cĂ
		delete SamplingBuffer1;//
	if( SamplingBuffer2 )//obt@̈悪cĂ
		delete SamplingBuffer2;//
	CDialog::OnClose();
}


//X^[g{^ꂽ̏
void CDevForm::OnStartBtn() 
{
	short HysLevel;
	OPENFILENAME ofn;
	char fn[MAX_PATH];
	short retErr;
	int ret;

	UpdateData(TRUE);

	//`lI
	if( m_ChChk1 && m_ChChk2 )
		ChSel = 2;//ch1ch2捞
	else if( m_ChChk1 )
		ChSel = 0;//ch1̂ݎ捞
	else if( m_ChChk2 )
		ChSel = 1;//ch2̂ݎ捞
	else
	{
		AfxMessageBox("`lIĂ܂");
		return;
	}

	//gKݒ
    HysLevel = 100;

	//ۑt@C̎擾
	fn[0] = '\0';
	ZeroMemory(&ofn,sizeof(ofn));
	ofn.lStructSize = sizeof(ofn);
	ofn.Flags = OFN_OVERWRITEPROMPT;
	ofn.lpstrFile = fn;
	ofn.nMaxFile = sizeof(fn);
	ofn.lpstrFilter = "f[^t@C (*.dat)|*.dat";
	ofn.lpstrDefExt = "dat";
	ret = GetSaveFileName(&ofn);
	if( ret )
	{
		h_SAVEFILE = CreateFile(fn,GENERIC_WRITE,0,NULL,CREATE_ALWAYS,
								FILE_ATTRIBUTE_NORMAL,NULL);// A file is opened.
	}
	else
		return;
	
	//NbNݒ
    retErr = TUSB0216AD_AdClk_Set(DevId, m_ClockInterval, m_ClkSel);
	if( retErr != 0 )
	{
		CloseHandle(h_SAVEFILE);
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}
    
	//gKxݒ
	if( m_TriggerTypeSel == 2 || m_TriggerTypeSel == 3 )
	{
		retErr = TUSB0216AD_Level_Set(DevId, m_TriggerLevel, HysLevel);
		if( retErr != 0 )
		{
			CloseHandle(h_SAVEFILE);
			m_EtcFunc.ErrorDisp(NULL,retErr);
			KillTimer(TIMER1);
			ShowWindow(SW_HIDE);
		}
	}

	//Jn
    retErr = TUSB0216AD_Start(DevId, ChSel, m_PreTriggerLeng, m_TriggerTypeSel, m_TriggerCh);
	if( retErr == 0 )//ɃX^[gł
	{
		SamplingBuffer1 = new int[m_LimitLeng];
		SamplingBuffer2 = new int[m_LimitLeng];
		StopReq = FALSE;
		m_TotalLeng = 0;
		EnableDisableControl(2);
		SetTimer(TIMER2,100,NULL);
	}
	else
	{
		CloseHandle(h_SAVEFILE);
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}	
}

//荞ݒ~{^̏
void CDevForm::OnStopBtn() 
{
	StopReq = TRUE;
}

//^C}[̎s֐
void CDevForm::ExecTimer2()
{
	BYTE Status;
	BYTE ovf[2];
	unsigned long leng[2];
	int tmpleng;
	short retErr;

	if( StopReq )//~v̊mF
	{
		SampleStop();
		m_StatusView.Format("TvOI\r\nf[^ = %d",m_TotalLeng);
		return;
	}

	//obt@Xe[^X̊mF
	retErr = TUSB0216AD_Ad_Status(DevId, &Status, ovf, leng);
    
	if( retErr )
	{
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}
	switch( Status )
	{
	case 1:// gK҂
		m_StatusView = "gK҂ł";
		break;
	case 3://TvO
		if( OverFlowCheck(ovf,(int *) leng,&tmpleng) )//I[o[t[`FbN
			return;
		DataSave(tmpleng);//f[^ۑ
		break;
	default://~
		m_StatusView = "~";
	}
	UpdateData(FALSE);
}

//I[o[t[Ԃ̊mF
int CDevForm::OverFlowCheck(BYTE *ovf, int *leng, int *tmpleng)
{
	switch( ChSel )
	{
	case 0://Ch1 Only
		if(ovf[0])
		{
			AfxMessageBox("obt@I[o[t[ł");
			SampleStop();
			return 1;
		}
		*tmpleng = leng[0];
		break;
	case 1://Ch2 Only
		if(ovf[1])
		{
			AfxMessageBox("obt@I[o[t[ł");
			SampleStop();
			return 1;
		}
		*tmpleng = leng[1];
		break;
	case 2://Ch1 & Ch2
		if( ovf[0] || ovf[1] )
		{
			AfxMessageBox("obt@I[o[t[ł");
			SampleStop();
			return 1;
		}
		if( leng[0]  < leng[1] )
			*tmpleng = leng[0];
		else
			*tmpleng = leng[1];
		break;
	}
	return 0;
}

//ւ̃f[^荞ݏ
void CDevForm::DataSave(int tmpleng)
{
	int *tmpData;
	BOOL LastSave;
	short retErr;

	if( ( m_LimitLeng != 0 ) && ( (unsigned int) ( m_TotalLeng + tmpleng ) >= m_LimitLeng ) )//ő荞ݒ𒴂Ă
		LastSave = TRUE;
	else
		LastSave = FALSE;
	
	if(LastSave)
		tmpleng = m_LimitLeng - m_TotalLeng;

	tmpData = new int[tmpleng];//f[^荞ݗpobt@̊m
	switch( ChSel )
	{
	case 0://ch1̂
		retErr = TUSB0216AD_Ad_Data(DevId, 0, tmpData, (unsigned long*) &tmpleng);//ch1f[^̓ǂݍ
		CopyData(0,tmpData,tmpleng);
		break;
	case 1://ch2̂
		retErr = TUSB0216AD_Ad_Data(DevId, 1, tmpData, (unsigned long*) &tmpleng);//ch1f[^̓ǂݍ
		CopyData(1,tmpData,tmpleng);
		break;
	case 2://ch1&ch2
		retErr = TUSB0216AD_Ad_Data(DevId, 0, tmpData, (unsigned long*) &tmpleng);//ch1f[^̓ǂݍ
		CopyData(0,tmpData,tmpleng);
		retErr = TUSB0216AD_Ad_Data(DevId, 1, tmpData, (unsigned long*) &tmpleng);//ch1f[^̓ǂݍ
		CopyData(1,tmpData,tmpleng);
		break;
	}
	delete tmpData;
	m_TotalLeng += tmpleng;

	if(LastSave)
	{
		SampleStop();
		m_StatusView.Format("TvOI\r\nf[^ = %d",m_TotalLeng);
	}
	else
	{
		m_StatusView.Format("TvOł\r\nf[^ = %d",m_TotalLeng);
	}
}

//A荞ݒ~̏
void CDevForm::SampleStop()
{
	KillTimer(TIMER2);
	TUSB0216AD_Stop(DevId);//TvO~
	m_StatusView = "f[^ۑł";
	UpdateData(FALSE);
	Invalidate(TRUE);
	WriteData();
	CloseHandle(h_SAVEFILE);//t@C
	delete SamplingBuffer1;
	delete SamplingBuffer2;
	SamplingBuffer1 = 0;
	SamplingBuffer2 = 0;
	EnableDisableControl(1);
}

//芮̃t@Cւ̃f[^ۑ
void CDevForm::WriteData()
{
	int cnt;
	char str[50];
	DWORD stLeng;

	for( cnt = 0 ; cnt < m_TotalLeng ; cnt++ )
	{
		switch( ChSel )
		{
		case 0://ch1 ̂
			sprintf(str,"%d\n",SamplingBuffer1[cnt]);
			stLeng = strlen(str);
			WriteFile(h_SAVEFILE,str,stLeng,&stLeng,NULL );
			break;
		case 1://ch2 ̂
			sprintf(str,"%d\n",SamplingBuffer2[cnt]);
			stLeng = strlen(str);
			WriteFile(h_SAVEFILE,str,stLeng,&stLeng,NULL );
			break;
		case 2://ch
			sprintf(str,"%d,%d\n",SamplingBuffer1[cnt],SamplingBuffer2[cnt]);
			stLeng = strlen(str);
			WriteFile(h_SAVEFILE,str,stLeng,&stLeng,NULL );
			break;
		}
	}
}

//obt@Ԃ̃f[^Rs[
void CDevForm::CopyData(BYTE ch, int *Data, int leng)
{
	if( ch == 0 )//ch1
	{
		memcpy(&SamplingBuffer1[m_TotalLeng],Data,leng*sizeof(int));
	}
	else // ch2
	{
		memcpy(&SamplingBuffer2[m_TotalLeng],Data,leng*sizeof(int));
	}
}

//gKR}h
void CDevForm::OnTriggerBtn() 
{
	short retErr;

	retErr = TUSB0216AD_Trigger(DevId);//gKR}h
	if( retErr )
	{
		m_EtcFunc.ErrorDisp(NULL,retErr);
		KillTimer(TIMER1);
		ShowWindow(SW_HIDE);
	}
}

