VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "TUSB-0216ADMTvvO"
   ClientHeight    =   1515
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4770
   LinkTopic       =   "Form1"
   ScaleHeight     =   1515
   ScaleWidth      =   4770
   StartUpPosition =   3  'Windows ̊l
   Begin VB.Timer Timer1 
      Left            =   4080
      Top             =   600
   End
   Begin VB.CommandButton EndBtn 
      Caption         =   "I"
      Height          =   495
      Left            =   1320
      TabIndex        =   0
      Top             =   480
      Width           =   2055
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------------
'TUSB-0216ADM Sample Program
'Visual Basic 6 Source codes
'
'Aug. 6 2008
'Copyright (C) 2008 Turtle Industry Co.,Ltd.
'-----------------------------------------------

Private DevStatus(15) As Boolean ' Device Connection Flag TRUE : connecting
Private IdDevForm(15) As Form ' Device Control Panel Form Object

' Program EndBtn Command
Private Sub EndBtn_Click()
    Unload Me
End Sub

' Main Form Load
Private Sub Form_Load()
    Dim DevId As Integer
    
    TUSB0216AD_Load 'Driver Load
    
    'Initialize
    For DevId = 0 To 15
        DevStatus(DevId) = False 'Device is not Connected
        Set IdDevForm(DevId) = New DevForm 'Device Control Panel Form Create
    Next DevId
    
    ' Timer Start
    Timer1.Interval = 500
    Timer1.Enabled = True
End Sub

' Main Form Unload ( Program exit )
Private Sub Form_Unload(Cancel As Integer)
    Dim DevId As Integer
    
    Timer1.Enabled = False ' Timer Disable
    
    For DevId = 0 To 15
        Unload IdDevForm(DevId) ' Device Control Panel Unload
    Next DevId
    
    TUSB0216AD_Unload ' Driver Unload
End Sub

' Device Control Panel Open
Private Sub OpenPanel(ByVal Id As Integer)
    IdDevForm(Id).SetId (Id)
    IdDevForm(Id).Show ' Form Show
    DevStatus(Id) = True
End Sub

' Timer Handler
Private Sub Timer1_Timer()
    Dim DevId As Integer
    
    For DevId = 0 To 15
        If DevStatus(DevId) = False Then ' Device is not connected
            If TUSB0216AD_Chk(DevId) = 0 Then ' Connection check
                Load IdDevForm(DevId) ' Device Control Panel Load
                OpenPanel DevId '
            End If
        Else 'Device is connected
            If IdDevForm(DevId).Visible = False Then ' Device is not visible
                DevStatus(DevId) = False
                Unload IdDevForm(DevId) ' Device Control Panel Load
            End If
        End If
    Next DevId
    
End Sub

