Option Strict Off
Option Explicit On
Friend Class MainForm
	Inherits System.Windows.Forms.Form
#Region "Windows tH[ fUCiɂĐꂽR[h"
	Public Sub New()
        MyBase.New()

        '̌ĂяóAWindows tH[ fUCiŕKvłB
        InitializeComponent()

    End Sub

    'Form ́AR|[lgꗗɌ㏈s邽߂ dispose I[o[Ch܂B
    Protected Overloads Overrides Sub Dispose(ByVal Disposing As Boolean)
        If Disposing Then
            If Not components Is Nothing Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(Disposing)
    End Sub
    'Windows tH[ fUCiŕKvłB
    Private components As System.ComponentModel.IContainer
    Public ToolTip1 As System.Windows.Forms.ToolTip
    Public WithEvents Timer1 As System.Windows.Forms.Timer
    Public WithEvents EndBtn As System.Windows.Forms.Button
    ' : ȉ̃vV[W Windows tH[ fUCiŕKvłB
    'Windows tH[ fUCigĕύXł܂B
    'R[hGfB^gďCȂłB


    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(MainForm))
        Me.components = New System.ComponentModel.Container()
        Me.ToolTip1 = New System.Windows.Forms.ToolTip(components)
        Me.ToolTip1.Active = True
        Me.Timer1 = New System.Windows.Forms.Timer(components)
        Me.EndBtn = New System.Windows.Forms.Button()
        Me.Text = "TUSB-0216ADMTvvO"
        Me.ClientSize = New System.Drawing.Size(318, 101)
        Me.Location = New System.Drawing.Point(4, 30)
        Me.StartPosition = System.Windows.Forms.FormStartPosition.WindowsDefaultLocation
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.BackColor = System.Drawing.SystemColors.Control
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Sizable
        Me.ControlBox = True
        Me.Enabled = True
        Me.KeyPreview = False
        Me.MaximizeBox = True
        Me.MinimizeBox = True
        Me.Cursor = System.Windows.Forms.Cursors.Default
        Me.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ShowInTaskbar = True
        Me.HelpButton = False
        Me.WindowState = System.Windows.Forms.FormWindowState.Normal
        Me.Name = "MainForm"
        Me.Timer1.Enabled = False
        Me.Timer1.Interval = 1
        Me.EndBtn.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        Me.EndBtn.Text = "I"
        Me.EndBtn.Size = New System.Drawing.Size(137, 33)
        Me.EndBtn.Location = New System.Drawing.Point(88, 32)
        Me.EndBtn.TabIndex = 0
        Me.EndBtn.BackColor = System.Drawing.SystemColors.Control
        Me.EndBtn.CausesValidation = True
        Me.EndBtn.Enabled = True
        Me.EndBtn.ForeColor = System.Drawing.SystemColors.ControlText
        Me.EndBtn.Cursor = System.Windows.Forms.Cursors.Default
        Me.EndBtn.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.EndBtn.TabStop = True
        Me.EndBtn.Name = "EndBtn"
        Me.Controls.Add(EndBtn)
    End Sub
#End Region 

    '-----------------------------------------------
    'TUSB-0216ADM Sample Program
    'Visual Basic .NET Source codes
    '
    'Oct. 8 2008
    'Copyright (C) 2008 Turtle Industry Co.,Ltd.
    '-----------------------------------------------

    Private DevStatus(15) As Boolean ' Device Connection Flag TRUE : connecting
    Private IdDevForm(15) As DevForm ' Device Control Panel Form Object

    ' Program EndBtn Command
    Private Sub EndBtn_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles EndBtn.Click
        Me.Close()
    End Sub

    ' Main Form Load
    Private Sub MainForm_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        Dim DevId As Short

        TUSB0216AD_Load() 'Driver Load

        'Initialize
        For DevId = 0 To 15
            DevStatus(DevId) = False 'Device is not Connected
            IdDevForm(DevId) = New DevForm() 'Device Control Panel Form Create
        Next DevId

        ' Timer Start
        Timer1.Interval = 500
        Timer1.Enabled = True
    End Sub

    ' Main Form Unload ( Program exit )
    Private Sub MainForm_Closed(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Closed
        Dim DevId As Short

        Timer1.Enabled = False ' Timer Disable

        For DevId = 0 To 15
            IdDevForm(DevId) = Nothing ' Device Control Panel Unload
        Next DevId

        TUSB0216AD_Unload() ' Driver Unload
    End Sub

    ' Device Control Panel Open
    Private Sub OpenPanel(ByVal Id As Short)
        IdDevForm(Id).SetId(Id)
        IdDevForm(Id).Show() ' Form Show
        DevStatus(Id) = True
    End Sub

    ' Timer Handler
    Private Sub Timer1_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Timer1.Tick
        Dim DevId As Short

        For DevId = 0 To 15
            If DevStatus(DevId) = False Then ' Device is not connected
                If TUSB0216AD_Chk(DevId) = 0 Then ' Connection check
                    OpenPanel(DevId) '
                End If
            Else 'Device is connected
                If IdDevForm(DevId).Visible = False Then ' Device is not visible
                    DevStatus(DevId) = False
                End If
            End If
        Next DevId

    End Sub
End Class