Option Strict Off
Option Explicit On
Module TUSB16AD
	'-----------------------------------------------
	'API for TUSB-0216AD Driver
    'Visual Basic .NET Module
	'
    'Oct. 08 2008
	'Copyright (C) 2008 Turtle Industry Co.,Ltd.
	'-----------------------------------------------
	
    'API Function declaration
	
	Declare Function TUSB0216AD_DIO_In Lib "TUSB16AD.DLL" (ByVal Id As Short, ByRef Data As Byte) As Short
	Declare Function TUSB0216AD_DIO_Out Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal Data As Byte) As Short
	Declare Function TUSB0216AD_DIO_Chk Lib "TUSB16AD.DLL" (ByVal Id As Short, ByRef Data As Byte) As Short
	Declare Function TUSB0216AD_Ad_Single Lib "TUSB16AD.DLL" (ByVal Id As Short, ByRef Data As Integer) As Short
	Declare Function TUSB0216AD_Start Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal Ch As Byte, ByVal PreLen As Integer, ByVal TrgType As Byte, ByVal TrgCh As Byte) As Short
	Declare Function TUSB0216AD_Stop Lib "TUSB16AD.DLL" (ByVal Id As Short) As Short
	Declare Function TUSB0216AD_Ad_Status Lib "TUSB16AD.DLL" (ByVal Id As Short, ByRef Status As Byte, ByRef OverFlow As Byte, ByRef DataLen As Integer) As Short
	Declare Function TUSB0216AD_Ad_Data Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal Ch As Byte, ByRef Data As Integer, ByRef DataLen As Integer) As Short
	Declare Function TUSB0216AD_AdClk_Set Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal ClkTime As Integer, ByVal Sel As Byte) As Short
	Declare Function TUSB0216AD_Level_Set Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal Level As Integer, ByVal Hys As Short) As Short
	Declare Function TUSB0216AD_Input_Set Lib "TUSB16AD.DLL" (ByVal Id As Short, ByVal Type1 As Byte, ByVal Type2 As Byte) As Short
	Declare Function TUSB0216AD_Trigger Lib "TUSB16AD.DLL" (ByVal Id As Short) As Short
	Declare Function TUSB0216AD_Input_Check Lib "TUSB16AD.DLL" (ByVal Id As Short, ByRef Type1 As Byte, ByRef Type2 As Byte) As Short
	Declare Function TUSB0216AD_Chk Lib "TUSB16AD.DLL" (ByVal Id As Short) As Short
	Declare Sub TUSB0216AD_Load Lib "TUSB16AD.DLL" ()
	Declare Sub TUSB0216AD_Unload Lib "TUSB16AD.DLL" ()
	
	' Error Message
	Public Function TUSBK02AD_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim message As String

        Select Case ErrCode
            Case 0
                message = "ɏI܂"
            Case 2
                message = "hCoĂ܂"
            Case 6
                message = "foCX܂ł"
            Case 8
                message = "p[^G["
            Case 9
                message = "USBʐMG["
            Case 11
                message = "A荞ݓ쒆ł"
            Case Else
                message = "sȃG[ł"
        End Select

        MsgBox(message)
	End Function
End Module